Bug 108105 - 8.0 upgrade fails to boot, mkinitrd failed
8.0 upgrade fails to boot, mkinitrd failed
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-27 12:46 EST by Mike McLean
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 21:05:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2003-10-27 12:46:31 EST
* Cambridge-re1024.nightly
* upgrade-dist-8.0-english-nfs-TUI-everything

mkinitrd failed on upgrade and the resulting system will not boot.

Upgrading kernel-2.4.22-1.2108.nptl.i686.
No module qla2200 found for kernel 2.4.22-1.2108.nptl, aborting.
mkinitrd failed
error: %post(kernel-2.4.22-1.2108.nptl) scriptlet failed, exit status 1
Upgrading kernel-smp-2.4.22-1.2108.nptl.i686.
No module qla2200 found for kernel 2.4.22-1.2108.nptlsmp, aborting.
mkinitrd failed
error: %post(kernel-smp-2.4.22-1.2108.nptl) scriptlet failed, exit
status 1
Comment 2 Jeremy Katz 2003-10-27 12:51:04 EST
Without the module in the kernel, there's not a whole lot mkinitrd can do :-)
Comment 3 Mike McLean 2003-10-27 13:40:31 EST
but installs work on this box.
Comment 4 Jeremy Katz 2003-10-27 14:35:34 EST
What module do installs use?
Comment 5 Mike McLean 2003-11-03 17:17:01 EST
This machine has three scsi controllers: two adaptecs (aic7xxx) and
one qlogic (qla2200).  The qlogic doesn't actually have any drives
attached.

Note You need to log in before you can comment on or make changes to this bug.